datacache <- new.env(hash=TRUE, parent=emptyenv())

indac <- function() showQCData("indac", datacache)
indac_dbconn <- function() dbconn(datacache)
indac_dbfile <- function() dbfile(datacache)
indac_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
indac_dbInfo <- function() dbInfo(datacache)

indacORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "indac.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.FLYCHIP_DB("indac", "chip indac", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(indac_dbconn())
}

